GET/api/v2/transactions/export

Export transactions in CSV or PDF format

Authentication

Send your API key in the x-api-key header on every request.

Parameters

Request parameters
FieldTypeRequiredDescription
format (query)stringNoExport format (csv or pdf)
types (query)array of stringNo
statuses (query)array of stringNo
startDate (query)string (date-time)No
endDate (query)string (date-time)No
search (query)stringNo
minAmount (query)unknownNo
maxAmount (query)unknownNo
sources (query)array of stringNo
cardIds (query)array of unknownNo
walletIds (query)array of unknownNo
userId (query)unknownNo

Responses

200 — OK

Response 200 fields
FieldTypeRequiredDescription
ContentTypestringNo
FileDownloadNamestringNo
LastModifiedstring (date-time)No
EntityTagobjectNo
EnableRangeProcessingbooleanNo

400 — Bad Request

Response 400 fields
FieldTypeRequiredDescription
typestringNo
titlestringNo
statusunknownNo
detailstringNo
instancestringNo

401 — Unauthorized

Response 401 fields
FieldTypeRequiredDescription
typestringNo
titlestringNo
statusunknownNo
detailstringNo
instancestringNo

500 — Internal Server Error

Example request

curl -X GET "https://{base_url}/api/v2/transactions/export" \
  -H "x-api-key: YOUR_API_KEY"

This page is generated from the live OpenAPI specification and always matches the current API.